# Couenne::CouenneInfo Class Reference

Bonmin class for passing info between components of branch-and-cuts. More...

`#include <BonCouenneInfo.hpp>`

List of all members.

## Classes
class | NlpSolution
| Class for storing an Nlp Solution. More...
## Public Member Functions
| CouenneInfo (int type)
| Default constructor.
| CouenneInfo (const OsiBabSolver &other)
| Constructor from OsiBabSolver.
| CouenneInfo (const CouenneInfo &other)
| Copy constructor.
virtual | ~CouenneInfo ()
| Destructor.
virtual OsiAuxInfo * | clone () const
| Virtual copy constructor.
const std::list < Ipopt::SmartPtr< const NlpSolution > > & | NlpSolutions () const
| List of all stored NLP solutions.
void | addSolution (Ipopt::SmartPtr< const NlpSolution > newSol)
| Add a new NLP solution.
## Protected Attributes
std::list< Ipopt::SmartPtr < const NlpSolution > > | nlpSols_

## Detailed Description

Bonmin class for passing info between components of branch-and-cuts.

Definition at line 22 of file BonCouenneInfo.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneInfo::CouenneInfo | ( | int | type | ) |

Default constructor.

Couenne::CouenneInfo::CouenneInfo | ( | const OsiBabSolver & | other | ) |

Constructor from OsiBabSolver.

Couenne::CouenneInfo::CouenneInfo | ( | const CouenneInfo & | other | ) |

Copy constructor.

virtual Couenne::CouenneInfo::~CouenneInfo | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual OsiAuxInfo* Couenne::CouenneInfo::clone | ( |  | ) | const`[virtual]`

Virtual copy constructor.

const std::list<Ipopt::SmartPtr<const NlpSolution> >& Couenne::CouenneInfo::NlpSolutions | ( |  | ) | const`[inline]`

List of all stored NLP solutions.

Definition at line 81 of file BonCouenneInfo.hpp.

References nlpSols_.

void Couenne::CouenneInfo::addSolution | ( | Ipopt::SmartPtr< const NlpSolution > | newSol | ) | `[inline]`

Add a new NLP solution.

Definition at line 86 of file BonCouenneInfo.hpp.

References nlpSols_.

## Member Data Documentation

std::list<Ipopt::SmartPtr<const NlpSolution> > Couenne::CouenneInfo::nlpSols_`[protected]`

Definition at line 92 of file BonCouenneInfo.hpp.

Referenced by addSolution(), and NlpSolutions().

The documentation for this class was generated from the following file:

- BonCouenneInfo.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines